RSB OpenCV [Deprecated] - Tasks #1395
Implement ROIExtractor
02/04/2013 04:06 PM - S. Wrede

Status: Closed Start date: 02/04/2013
Priority: Normal Due date:

Assignee: S. Wrede % Done: 0%
Category: Estimated time: 4.00 hours
Target version:

Description

Implement a component which extract regions-of-interest patches (based on bounding boxes) out of a video stream, e.g., to generate
training data for face or object recognizers. Initial implementation should at least work with rst.vision.Faces.

Implementation
- should utilize the timesync library to fuse bounding box detections with the closest video image based on create timestamps (or

using cause vector information)?
- should write the patches to files.

Related issues:

Copied to RSB OpenCV - Tasks # 2697: Implement ROIExtractor New 02/04/2013
History

#1 - 02/04/2013 04:09 PM - S. Wrede

- Description updated

- Estimated time set to 4.00

#2 - 02/04/2013 04:09 PM - S. Wrede

Later on, think about integration with a tracking algorithm to ease labeling.

#3 - 06/10/2013 06:04 PM - J. Moringen

- Target version changed from rsb-0.9 to rsb-0.10

#4 - 12/10/2013 11:52 PM - J. Moringen
- Target version changed from rsb-0.10 to rsb-0.11

#5 - 02/06/2014 05:30 PM - J. Moringen
- Target version changed from rsb-0.11 to rsb-0.12

#6 - 03/03/2016 12:08 PM - J. Moringen
- Target version changed from rsb-0.12 to rsb-0.14

#7 - 06/08/2016 09:03 PM - J. Moringen
- Target version changed from rsb-0.14 to rsb-0.15

#8 - 07/06/2016 02:37 PM - J. Moringen
- Target version deleted (rsb-0.15)

#9 - 01/26/2017 01:11 PM - J. Moringen
- Copied to Tasks #2697: Implement ROIExtractor added
#10 - 01/26/2017 01:12 PM - J. Moringen
- Status changed from New to Closed

05/12/2024 22



